hdf5 1.8.3 -> 1.8.4 transition

Bug #536869 reported by Dimitri John Ledkov on 2010-03-10
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ecs (Ubuntu)
Undecided
Unassigned
gnudatalanguage (Ubuntu)
Undecided
Unassigned
h5py (Ubuntu)
Undecided
Unassigned
h5utils (Ubuntu)
Undecided
Unassigned
hdf-eos5 (Ubuntu)
Undecided
Unassigned
labplot (Ubuntu)
Undecided
Unassigned
libcgns (Ubuntu)
Undecided
Unassigned
meep (Ubuntu)
Undecided
Unassigned
mpb (Ubuntu)
Undecided
Unassigned
octave-ad (Ubuntu)
Undecided
Unassigned
octave-ann (Ubuntu)
Undecided
Unassigned
octave-audio (Ubuntu)
Undecided
Unassigned
octave-combinatorics (Ubuntu)
Undecided
Unassigned
octave-communications (Ubuntu)
Undecided
Unassigned
octave-econometrics (Ubuntu)
Undecided
Unassigned
octave-fixed (Ubuntu)
Undecided
Unassigned
octave-ftp (Ubuntu)
Undecided
Unassigned
octave-general (Ubuntu)
Undecided
Unassigned
octave-gsl (Ubuntu)
Undecided
Unassigned
octave-image (Ubuntu)
Undecided
Unassigned
octave-io (Ubuntu)
Undecided
Unassigned
octave-linear-algebra (Ubuntu)
Undecided
Unassigned
octave-miscellaneous (Ubuntu)
Undecided
Unassigned
octave-multicore (Ubuntu)
Undecided
Unassigned
octave-nan (Ubuntu)
Undecided
Unassigned
octave-nlwing2 (Ubuntu)
Undecided
Unassigned
octave-nurbs (Ubuntu)
Undecided
Unassigned
octave-octcdf (Ubuntu)
Undecided
Unassigned
octave-octgpr (Ubuntu)
Undecided
Unassigned
octave-odepkg (Ubuntu)
Undecided
Unassigned
octave-optim (Ubuntu)
Undecided
Unassigned
octave-optiminterp (Ubuntu)
Undecided
Unassigned
octave-parallel (Ubuntu)
Undecided
Unassigned
octave-pdb (Ubuntu)
Undecided
Unassigned
octave-secs1d (Ubuntu)
Undecided
Unassigned
octave-secs2d (Ubuntu)
Undecided
Unassigned
octave-signal (Ubuntu)
Undecided
Unassigned
octave-sockets (Ubuntu)
Undecided
Unassigned
octave-specfun (Ubuntu)
Undecided
Unassigned
octave-symband (Ubuntu)
Undecided
Unassigned
octave-symbolic (Ubuntu)
Undecided
Unassigned
octave-xraylib (Ubuntu)
Undecided
Unassigned
pfstools (Ubuntu)
Undecided
Unassigned
pygpiv (Ubuntu)
Undecided
Unassigned
pytables (Ubuntu)
Undecided
Unassigned
yorick-hdf5 (Ubuntu)
Undecided
Unassigned

Bug Description

 affects ubuntu/ecs
 affects ubuntu/gnudatalanguage
 affects ubuntu/h5py
 affects ubuntu/h5utils
 affects ubuntu/hdf-eos5
 affects ubuntu/labplot
 affects ubuntu/libcgns
 affects ubuntu/meep
 affects ubuntu/mpb
 affects ubuntu/octave-ad
 affects ubuntu/octave-ann
 affects ubuntu/octave-audio
 affects ubuntu/octave-combinatorics
 affects ubuntu/octave-communications
 affects ubuntu/octave-econometrics
 affects ubuntu/octave-fixed
 affects ubuntu/octave-ftp
 affects ubuntu/octave-general
 affects ubuntu/octave-gsl
 affects ubuntu/octave-image
 affects ubuntu/octave-io
 affects ubuntu/octave-linear-algebra
 affects ubuntu/octave-miscellaneous
 affects ubuntu/octave-multicore
 affects ubuntu/octave-nan
 affects ubuntu/octave-nlwing2
 affects ubuntu/octave-nurbs
 affects ubuntu/octave-octcdf
 affects ubuntu/octave-octgpr
 affects ubuntu/octave-odepkg
 affects ubuntu/octave-optim
 affects ubuntu/octave-optiminterp
 affects ubuntu/octave-parallel
 affects ubuntu/octave-pdb
 affects ubuntu/octave-secs1d
 affects ubuntu/octave-secs2d
 affects ubuntu/octave-signal
 affects ubuntu/octave-sockets
 affects ubuntu/octave-specfun
 affects ubuntu/octave-symband
 affects ubuntu/octave-symbolic
 affects ubuntu/octave-xraylib
 affects ubuntu/pfstools
 affects ubuntu/pygpiv
 affects ubuntu/pytables
 affects ubuntu/yorick-hdf5
 subscribe ubuntu-universe-sponsors

All of these packages currently have binaries depending
libhdf5-serial-1.8.3 | libhdf5-1.8.3.

But that version is no longer build from source [1].

I've rebuild all of them individually in pbuilder and tested *some* of them.
All binaries result in depending on libhdf5-serial-1.8.4 | libhdf5-1.8.4.

I'm not a dev so can someone with upload rights please do no source change
uploads for these packages?

Quite a few of these are currently non-installable due to octave already
rebuild with 1.8.4.

Thank you in advance.

[1] http://people.canonical.com/~ubuntu-archive/NBS/libhdf5-serial-1.8.3

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcgns - 2.5.4-2build1

---------------
libcgns (2.5.4-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Wed, 10 Mar 2010 21:50:04 +0000

Changed in libcgns (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

$ sudo apt-get build-dep gnudatalanguage
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting libmagick++-dev instead of libmagick++9-dev
Package libplplot-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package libplplot-dev has no installation candidate
E: Failed to satisfy Build-Depends dependency for gnudatalanguage: libplplot-dev
$

How did you build-test this package if libplplot-dev doesn't exist in the archive?

Changed in gnudatalanguage (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package h5py - 1.2.1-2ubuntu1

---------------
h5py (1.2.1-2ubuntu1) lucid; urgency=low

  * Rebuild against libhdf5-serial-1.8.4 (LP: #536869)
  * Fix debian/rules clean to know to delete setuptools-0.6c9-py2.6.egg,
    not just setuptools-0.6c9-py2.5.egg
 -- Steve Langasek <email address hidden> Wed, 10 Mar 2010 23:02:29 +0000

Changed in h5py (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package h5utils - 1.12-2build1

---------------
h5utils (1.12-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Wed, 10 Mar 2010 23:09:05 +0000

Changed in h5utils (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package labplot - 1.6.0.2-3ubuntu2

---------------
labplot (1.6.0.2-3ubuntu2) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Wed, 10 Mar 2010 23:20:11 +0000

Changed in labplot (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hdf-eos5 - 5.1.12.dfsg.2-2build1

---------------
hdf-eos5 (5.1.12.dfsg.2-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Wed, 10 Mar 2010 23:49:26 +0000

Changed in hdf-eos5 (Ubuntu):
status: New → Fix Released

On 10 March 2010 23:01, Steve Langasek <email address hidden> wrote:
> $ sudo apt-get build-dep gnudatalanguage
>
> How did you build-test this package if libplplot-dev doesn't exist in
> the archive?

I've checked my logs and not this package wasn't build. Now I've
learned that Pbuilder exits successfully when it can't satisfy
dependencies and that's why my bash script didn't pick it up as build
failure.

This package actually needs to be removed IMHO. It has been removed
from testing: python2.4 & python-numarray (no longer developed).

I'll file a bug against it.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package meep - 1.1.1-3build1

---------------
meep (1.1.1-3build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 00:13:58 +0000

Changed in meep (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mpb - 1.4.2-14build1

---------------
mpb (1.4.2-14build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 02:18:43 +0000

Changed in mpb (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-ad - 1.0.6-3build1

---------------
octave-ad (1.0.6-3build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 07:19:07 +0000

Changed in octave-ad (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-ann - 1.0.2+dfsg-2build1

---------------
octave-ann (1.0.2+dfsg-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 08:18:43 +0000

Changed in octave-ann (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-audio - 1.1.4-2build1

---------------
octave-audio (1.1.4-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 08:33:10 +0000

Changed in octave-audio (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-combinatorics - 1.0.9-2build1

---------------
octave-combinatorics (1.0.9-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 08:57:49 +0000

Changed in octave-combinatorics (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-signal - 1.0.10-1build1

---------------
octave-signal (1.0.10-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 09:04:55 +0000

Changed in octave-signal (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-econometrics - 1:1.0.8-2build1

---------------
octave-econometrics (1:1.0.8-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 09:16:35 +0000

Changed in octave-econometrics (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-fixed - 0.7.10-2build1

---------------
octave-fixed (0.7.10-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 09:22:59 +0000

Changed in octave-fixed (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-ftp - 1.0.2-4build1

---------------
octave-ftp (1.0.2-4build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 23:06:02 +0000

Changed in octave-ftp (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-general - 1.1.3-2build1

---------------
octave-general (1.1.3-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Thu, 11 Mar 2010 23:25:13 +0000

Changed in octave-general (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-gsl - 1.0.8-2build1

---------------
octave-gsl (1.0.8-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 01:07:52 +0000

Changed in octave-gsl (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-image - 1.0.10-2build1

---------------
octave-image (1.0.10-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 01:29:27 +0000

Changed in octave-image (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-io - 1.0.9-1build1

---------------
octave-io (1.0.9-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 01:36:20 +0000

Changed in octave-io (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-linear-algebra - 1.0.8-1build1

---------------
octave-linear-algebra (1.0.8-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 01:44:11 +0000

Changed in octave-linear-algebra (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-miscellaneous - 1.0.9-1build1

---------------
octave-miscellaneous (1.0.9-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 01:49:19 +0000

Changed in octave-miscellaneous (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-multicore - 0.2.15-1build1

---------------
octave-multicore (0.2.15-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 01:57:18 +0000

Changed in octave-multicore (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-nan - 1.0.9-1build1

---------------
octave-nan (1.0.9-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 01:59:20 +0000

Changed in octave-nan (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-nlwing2 - 1.1.1-3build1

---------------
octave-nlwing2 (1.1.1-3build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 02:03:06 +0000

Changed in octave-nlwing2 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-nurbs - 1.0.2-1build1

---------------
octave-nurbs (1.0.2-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 02:07:44 +0000

Changed in octave-nurbs (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-octcdf - 1.0.13-1build1

---------------
octave-octcdf (1.0.13-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Fri, 12 Mar 2010 02:19:50 +0000

Changed in octave-octcdf (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) wrote :

octave-symbolic fails to build:

g++ -c -fPIC -I/usr/include/octave-3.0.5 -I/usr/include/octave-3.0.5/octave -g -O2 sym-create.cc -o sym-create.o
make[1]: Leaving directory `/home/devel/canonical/lucid/octave-symbolic-1.0.9/src'
error: called from `pkg>configure_make' in file /usr/share/octave/3.2.3/m/pkg/pkg.m near line 1253, column 2
error: called from:
error: /usr/share/octave/3.2.3/m/pkg/pkg.m at line 714, column 5
error: /usr/share/octave/3.2.3/m/pkg/pkg.m at line 287, column 7
make: *** [install-pkg] Error 1

Changed in octave-symbolic (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-octgpr - 1.1.5-2build1

---------------
octave-octgpr (1.1.5-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 08:32:58 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-odepkg - 0.6.7-1build1

---------------
octave-odepkg (0.6.7-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 08:38:17 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-optim - 1.0.6-1build1

---------------
octave-optim (1.0.6-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 08:47:20 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-optiminterp - 0.3.2-2build1

---------------
octave-optiminterp (0.3.2-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 08:49:46 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-parallel - 2.0.0-2build1

---------------
octave-parallel (2.0.0-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 08:52:00 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-pdb - 1.0.7-2build1

---------------
octave-pdb (1.0.7-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 08:55:00 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-secs1d - 0.0.8-2build1

---------------
octave-secs1d (0.0.8-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 09:11:15 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-secs2d - 0.0.8-2build1

---------------
octave-secs2d (0.0.8-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 09:16:51 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-specfun - 1.0.8-3build1

---------------
octave-specfun (1.0.8-3build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 09:21:54 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-symband - 1.0.10-1build1

---------------
octave-symband (1.0.10-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 09:38:45 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-xraylib - 1.0.8-2build1

---------------
octave-xraylib (1.0.8-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 09:47:02 +0000

Changed in octave-octgpr (Ubuntu):
status: New → Fix Released
Changed in octave-odepkg (Ubuntu):
status: New → Fix Released
Changed in octave-optim (Ubuntu):
status: New → Fix Released
Changed in octave-optiminterp (Ubuntu):
status: New → Fix Released
Changed in octave-parallel (Ubuntu):
status: New → Fix Released
Changed in octave-pdb (Ubuntu):
status: New → Fix Released
Changed in octave-secs1d (Ubuntu):
status: New → Fix Released
Changed in octave-secs2d (Ubuntu):
status: New → Fix Released
Changed in octave-specfun (Ubuntu):
status: New → Fix Released
Changed in octave-symband (Ubuntu):
status: New → Fix Released
Changed in octave-xraylib (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pfstools - 1.8.1-1.1build1

---------------
pfstools (1.8.1-1.1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 08:57:08 +0000

Changed in pfstools (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pygpiv - 2.0.0-1ubuntu2

---------------
pygpiv (2.0.0-1ubuntu2) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 09:51:46 +0000

Changed in pygpiv (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pytables - 2.1.2-3build1

---------------
pytables (2.1.2-3build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 09:56:22 +0000

Changed in pytables (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yorick-hdf5 - 0.8.0-1build1

---------------
yorick-hdf5 (0.8.0-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 09:59:45 +0000

Changed in yorick-hdf5 (Ubuntu):
status: New → Fix Released
Dimitri John Ledkov (xnox) wrote :

 affects ubuntu/octave-symbolic
 status new
 done

On 13 March 2010 09:46, Steve Langasek <email address hidden> wrote:
> octave-symbolic fails to build:
>
> g++ -c -fPIC -I/usr/include/octave-3.0.5 -I/usr/include/octave-3.0.5/octave -g -O2 sym-create.cc -o sym-create.o
> make[1]: Leaving directory `/home/devel/canonical/lucid/octave-symbolic-1.0.9/src'
> error: called from `pkg>configure_make' in file /usr/share/octave/3.2.3/m/pkg/pkg.m near line 1253, column 2
> error: called from:
> error: /usr/share/octave/3.2.3/m/pkg/pkg.m at line 714, column 5
> error: /usr/share/octave/3.2.3/m/pkg/pkg.m at line 287, column 7
> make: *** [install-pkg] Error 1
>

Builds fine in my pbuilder. Waiting for ppa to get build.

Changed in octave-symbolic (Ubuntu):
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ecs - 2.0.0.beta2-2build1

---------------
ecs (2.0.0.beta2-2build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Wed, 10 Mar 2010 22:46:23 +0000

Changed in ecs (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-sockets - 1.0.6-1build1

---------------
octave-sockets (1.0.6-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 21:36:02 +0000

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-communications - 1.0.10-1build1

---------------
octave-communications (1.0.10-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 18:37:14 +0000

Changed in octave-communications (Ubuntu):
status: New → Fix Released
Changed in octave-sockets (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave-symbolic - 1.0.9-1build1

---------------
octave-symbolic (1.0.9-1build1) lucid; urgency=low

  * No-change rebuild against libhdf5-serial-1.8.4 (LP: #536869)
 -- Steve Langasek <email address hidden> Sat, 13 Mar 2010 21:37:55 +0000

Changed in octave-symbolic (Ubuntu):
status: New → Fix Released
Changed in gnudatalanguage (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers